> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Network detect



## OpenAPI

````yaml post /open/api/network/detect
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/network/detect:
    post:
      tags: []
      summary: Network detect
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NetworkDetectReqVO'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RCheckNetworkResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    NetworkDetectReqVO:
      type: object
      properties:
        host:
          type: string
          description: 代理主机
        port:
          type: integer
          description: 代理端口
        account:
          type: string
          description: 代理账号
        password:
          type: string
          description: 代理密码
        type:
          type: string
          description: '代理类型: 1-socks5，2-https，3-http，4=vmess，5=vless，6=trojan'
      required:
        - host
        - port
        - type
    RCheckNetworkResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Request link ID
        code:
          type: integer
          description: code
        msg:
          type: string
          description: Request return message
        data:
          $ref: '#/components/schemas/CheckNetworkResVO'
          description: Request return data
        status:
          type: string
          description: >-
            Status, representing whether this is an instant completion or
            waiting state, finish or pending
          default: finish
      required:
        - traceId
        - code
        - msg
        - status
    CheckNetworkResVO:
      type: object
      properties:
        countryName:
          type: string
          description: 国家
        countryCode:
          type: string
          description: 国家代码
        latitude:
          type: string
          description: 纬度
        longitude:
          type: string
          description: 经度
        language:
          type: string
          description: 语言
        timezone:
          type: string
          description: 时区
        region:
          type: string
          description: 地区
        host:
          type: string
          description: 检测出来的实际IP

````